#!/bin/sh                      # specify Bourne shell

localpath="`dirname "$0"`";    # set variable to path of portlink.command file
cd "$localpath"                # change directory from root to local path
                               # quotes allow spaces in path
exec &> portlist.txt           # direct all output to portlist.txt
echo "Output from portlink.command"

date +%D"  "%T                 # output date, spaces, time
printf "OS: "
sw_vers -productVersion
# ioreg -l | grep -i serialnumber | grep -i platform  # output ser num
# system_profiler SPHardwareDataType | awk '/Serial/ {print $4}'
printf "SN: "
ioreg -c IOPlatformExpertDevice -d 2 | awk -F\" '/IOPlatformSerialNumber/{print $(NF-1)}'

cd ..                          # change directory to parent, LabRecon.app/
cd dosdevices                  # change directory to LabRecon.app/dosdevices/
echo
echo "serial ports:"
ls -l /dev/tty.*               # list using long format all /dev/tty devices

n=0                            # variable created to build "comN" strings
for i in $(ls /dev/tty.*); do  # loop through /dev/tty devices
  ((n=n+1))                    # n++
  ln -fs $i com${n}            # create symbolic link, force soft
                               # ex: ln -fs /dev/tty.usbserial-FTFBF3P3 com1
done

echo
echo "symlinks:"
ls -l                          # list using long format all files

killall Terminal               # close Terminal
