#!/bin/sh                      # specify Bourne shell

localpath="`dirname "$0"`";    # set variable to path of portlink.command file
cd "$localpath"                # change directory from root to local path
                               # quotes allow spaces in path
exec &> startup.txt            # direct all output to startup.txt

date +%D"  "%T                 # output date, spaces, time
printf "OS: "
sw_vers -productVersion
printf "SN: "
ioreg -c IOPlatformExpertDevice -d 2 | awk -F\" '/IOPlatformSerialNumber/{print $(NF-1)}'
printf "Docs: "
echo ~/Documents               # location for file saving

killall LRStartup
killall Terminal
